#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# CanvasGraphics Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLGraphics.js:5`
Module: PIXI

A set of functions used by the webGL renderer to draw the primitive graphics data

- Index
- Methods

## Item Index

### Methods

- buildCircle static
- buildLine static
- buildPoly static
- buildRectangle static
- renderGraphics static
- updateGraphics static

## Methods

### `buildCircle`

(

- `graphics`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:211`

Builds a circle to draw

#### Parameters:

- `graphics` Graphics
- `webGLData` Object

### `buildLine`

(

- `graphics`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:284`

Builds a line to draw

#### Parameters:

- `graphics` Graphics
- `webGLData` Object

### `buildPoly`

(

- `graphics`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:494`

Builds a polygon to draw

#### Parameters:

- `graphics` Graphics
- `webGLData` Object

### `buildRectangle`

(

- `graphics`
- `webGLData`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:142`

Builds a rectangle to draw

#### Parameters:

- `graphics` Graphics
- `webGLData` Object

### `renderGraphics`

(

- `graphics`
- `projection`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:15`

Renders the graphics object

#### Parameters:

- `graphics` Graphics
- `projection` Object

### `updateGraphics`

(

- `graphics`

)
private static

Defined in `src/pixi/renderers/webgl/utils/WebGLGraphics.js:88`

Updates the graphics object

#### Parameters:

- `graphics` Graphics